BizKitHub
DocsAPI ReferenceProduct/bff/product/product-subscription-plan-link
postProductAdmin BFF

/bff/product/product-subscription-plan-link

Links a subscription plan (interval) to a product. If the product already has a plan, the interval is updated.

ProductpostBffProductProduct-subscription-plan-link

Parameters

JSON body

Request body

application/json
productCodestringRequired

Product code.

Examplemy-product
intervalstringRequired

Subscription interval (e.g. "1m", "6m", "12m").

Example1m

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the plan was linked.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/product-subscription-plan-link

post
curl -X POST "https://api.bizkithub.com/bff/product/product-subscription-plan-link" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "my-product",
  "interval": "1m"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key